<?php
// 2006-01-04, standard cfg
// General settings for all selection, individual setting could be added in each selection if wanted

$pageGroup =10;				// number of pilots displayed
$pageFlight = 20;			// number of flights displayed
$tableWidth = 800;			// width of the main table, total width with frame is +20pixels

// Html before and after each list is created
$TemplateStart	='<html><!-- #BeginTemplate "/Templates/start.dwt" --><head><title>Virtual Airline</title><meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"></head><body bgcolor="#FFFFFF" text="#000000"><table width="'.strval($tableWidth+20).'" border="0" cellspacing="0" cellpadding="0"><tr> <td colspan="2" valign="middle" align="center"><img src="pic/empty.gif" width="'.strval($tableWidth+20).'" height="6"></td></tr><tr><td><img src="pic/empty.gif" width="5" height="5"></td><td align="left" valign="top"><!-- #BeginEditable "txtMain" --><table cellspacing="0" cellpadding="0"><tr align="left" valign="top"><td width="7" background="pic/box_tl3.gif"><img src="pic/empty.gif" width="7" height="7"></td><td><img src="pic/box_top3.gif" width="'.strval($tableWidth).'" height="7"></td><td width="10" background="pic/box_tr3.gif"><img width="8" height="7" src="pic/empty.gif"></td></tr><tr align="center" valign="top"><td width="7" background="pic/box_left3.gif"></td><td background="pic/box_bg3.gif"><!-- Start Man Template-->';
$TemplateEnd	='<!-- End Man Template --></td><td width="10" background="pic/box_right3.gif"></td></tr><tr align="left" valign="top"> <td width="7" background="pic/box_bl3.gif"><img src="pic/empty.gif" width="7" height="7" border="0"></td><td background="pic/box_bottom3.gif"><img src="pic/empty.gif" width="10" height="10"></td><td width="10" background="pic/box_br3.gif"><img src="pic/empty.gif" width="8" height="10"></td></tr></table><!-- #EndEditable --><div align="right"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#CCCCCC"><!-- #BeginDate format:IS1 -->php script '.$ver.'<!-- #EndDate --></font></div></td></tr></table></body><!-- #EndTemplate --></html>';

// Html selection header
function HtmlSelect() {
	global $ListStart;
	global $TDTitStyle;
	global $ListStop;

	$html = chr(13).$ListStart.'<tr align="center">';
	$html .= $TDTitStyle.'<a href="?action=ALLFLIGHTS" style="color:white">All flights</a></td>'.chr(13);
	$html .= $TDTitStyle.'Destinations&nbsp;&raquo;</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="?action=DESTINATIONS" style="color:white">All</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="?action=DESTINATIONSpj" style="color:white">P/J</a></td>'.chr(13);
	$html .= $TDTitStyle.'Departures&nbsp;&raquo;</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="?action=DEPARTURES" style="color:white">All</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="?action=DEPARTURESpj" style="color:white">P/J</a></td>'.chr(13);
	$html .= $TDTitStyle.'Arrivals&nbsp;&raquo;</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="?action=ARRIVALS" style="color:white">All</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="?action=ARRIVALSpj" style="color:white">P/J</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="?action=COMPANIES" style="color:white">Companies</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="?action=PILOTS" style="color:white">Pilots</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="?action=AIRCRAFTAVG" style="color:white">Aircrafts (avg)</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="?action=AIRCRAFTTOT" style="color:white">Aircrafts (tot)</a></td>'.chr(13);
	$html .= $TDTitStyle.'<a href="fspadmin/index.php" style="color:white">Admin</a></td>'.chr(13);
	$html .= "</tr>$ListStop";
	return $html;
	
}

if ($action == "DEPARTURES" or $action == "DEPARTURESpj")
{
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
	// Columns and header of group data, column names must be the same in main query
	// Format in tables asumes following dataformat in database: speeds in kts, altitue in feet, distance in nm (shows km in tables), fuel in kg
	// if other standards is used the scripts needs to be editied
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
	$GroupFields = 	'DepartureIcaoName,Airport,Country,TNbrPassengers,TCargoWeight,TnF,PTurbo,PJet,TFlightPerfect,TFlightCrash';		
	$GroupColumns =	'ICAO,Airport,Country,PAX,Cargo,Flights,Prop,Jet,Perfect,Crash';

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
	// Format and alignment of columns cells, should be same count as above
	$AlignCells = 'l,l,l,x,x,x,r,r,r,r';			// Alignment in cell, l,r or c, use ,, or x for default alignment
	$FormatCells = 's,x,x,0,0,0,x,x,x,x';			// Number of decimals of cell values, use s or l for short/long iaco name, use ,, or x for no format

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
	// Group and GroupBy should be first two columns
	$dbGroup = 'DepartureIcaoName';			// Basename for grouping (and for blocking this must be the first column)
	$dbGroupBy = "$dbGroup";			// Grouping of rows, one or more levels of grouping
	if (strpos($action,"pj")>0) $dbGroupBy .= ', AircraftType';

	$dbWhere = "";					// Optional where sql statement
	$dbAndWhere = "";				// Same as above but with AND clause instead
	$SortGroup = "TnF desc, TFlightPerfect desc, TFlightCrash, TNbrPassengers desc";

	// Main query for selection of grouped data
	$mainQuery =  "SELECT  $dbGroup, MID($dbGroup,8,INSTR(MID($dbGroup,8),' - ')-1) AS Airport, RIGHT($dbGroup,CHAR_LENGTH($dbGroup)-INSTR(MID($dbGroup,8),' - ')-9) AS Country, COUNT($dbGroup) as TnF, SUM(NbrPassengers) AS TNbrPassengers, SUM(CargoWeight) AS TCargoWeight, CONCAT(SUM(FlightResult LIKE 'Perfect') / COUNT($dbGroup) *100, '%') AS TFlightPerfect, CONCAT(SUM(FlightResult LIKE 'Crash') / COUNT($dbGroup) *100, '%') AS TFlightCrash, CONCAT((SUM(RIGHT(AircraftType,1) LIKE 'T' OR RIGHT(AircraftType,1) LIKE 'P')) / COUNT($dbGroup) *100, '%') AS PTurbo, CONCAT(SUM(RIGHT(AircraftType,1) LIKE 'J') / COUNT($dbGroup) *100, '%') AS PJet" ;

	$pageText = 'All Departures';			// Text in header and page browser
	if (strpos($action,"pj")>0) $pageText = 'Departures (propeller/jet)';
	$helpText = 'IACO name';			// Text in help text
	$returnText = 'Departures';			// Text in return message and page browser

} elseif ($action == "DESTINATIONS" or $action == "DESTINATIONSpj")
{
	$GroupFields = 	'DepartureIcaoName,Airport,Country,ArrivalIcaoName,AAirport,ACountry,TTotalBlockTime,TTotalGroundTime,TNbrPassengers,TCargoWeight,ATotalDistance,AFuel,TnF,PTurbo,PJet';		
	$GroupColumns =	'From,Airport,Country,To,Airport,Country,Airborn,Ground,PAX,Cargo,Dist. Km,Fuel Kg,Flights,Prop,Jet';
	$AlignCells = 'l,l,l,l,l,l,r,r,x,x,x,x,x,r,r';
	$FormatCells = 's,x,x,s,x,x,x,x,0,0,0,0,0,x,x';

	$dbGroup = 'DepartureIcaoName';
	$dbGroupBy = "$dbGroup, ArrivalIcaoName";
	if (strpos($action,"pj")>0) $dbGroupBy .= ', AircraftType';
	$dbWhere = "WHERE CrashFlag LIKE '0'";
	$dbAndWhere = "AND CrashFlag LIKE '0'";
	$SortGroup = "TnF desc, TNbrPassengers desc, TCargoWeight desc, ATotalDistance desc";

	$mainQuery =  "SELECT $dbGroup, MID($dbGroup,8,INSTR(MID($dbGroup,8),' - ')-1) AS Airport, RIGHT($dbGroup,CHAR_LENGTH($dbGroup)-INSTR(MID($dbGroup,8),' - ')-9) AS Country, ArrivalIcaoName, MID(ArrivalIcaoName,8,INSTR(MID(ArrivalIcaoName,8),' - ')-1) AS AAirport, RIGHT(ArrivalIcaoName,CHAR_LENGTH(ArrivalIcaoName)-INSTR(MID(ArrivalIcaoName,8),' - ')-9) AS ACountry, COUNT($dbGroup) AS TnF, SEC_TO_TIME(AVG(TIME_TO_SEC(TotalBlockTime)-TIME_TO_SEC(TotalTimeOnGround))) AS TTotalBlockTime, SEC_TO_TIME(AVG(TIME_TO_SEC(TotalTimeOnGround))) AS TTotalGroundTime, AVG(NbrPassengers) AS TNbrPassengers, AVG(CargoWeight) AS TCargoWeight, AVG(REPLACE(TotalDistance,',','')) * 1.852 AS ATotalDistance, AVG(StartFuelQuantity - EndFuelQuantity) AS AFuel, CONCAT((SUM(RIGHT(AircraftType,1) LIKE 'T' OR RIGHT(AircraftType,1) LIKE 'P')) / COUNT($dbGroup) *100, '%') AS PTurbo, CONCAT(SUM(RIGHT(AircraftType,1) LIKE 'J') / COUNT($dbGroup) *100, '%') AS PJet";

	$pageText = 'All Destinations (no crashes)';
	if (strpos($action,"pj")>0) $pageText = 'Destinations (propeller/jet, no crashes)';
	$helpText = 'IACO name';
	$returnText = 'Destinations';

} elseif ($action == "ARRIVALS" or $action == "ARRIVALSpj")
{
	$GroupFields = 	'ArrivalIcaoName,Airport,Country,TNbrPassengers,TCargoWeight,TnF,PTurbo,PJet,TFlightPerfect,TFlightCrash';		
	$GroupColumns =	'Arrival,Airport,Country,PAX,Cargo,Flights,Prop,Jet,Perfect,Crash';
	$AlignCells = 'l,l,l,x,x,x,r,r,r,r';
	$FormatCells = 's,x,x,0,0,0,x,x,x,x';

	$dbGroup = 'ArrivalIcaoName';
	$dbGroupBy = "$dbGroup";
	if (strpos($action,"pj")>0) $dbGroupBy .= ', AircraftType';
	$dbWhere = "WHERE ArrivalIcaoName != '----'";
	$dbAndWhere = "AND ArrivalIcaoName != '----'";
	$SortGroup = "TnF desc, TFlightPerfect desc, TFlightCrash, TNbrPassengers desc";

	$mainQuery =  "SELECT  $dbGroup, MID($dbGroup,8,INSTR(MID($dbGroup,8),' - ')-1) AS Airport, RIGHT($dbGroup,CHAR_LENGTH($dbGroup)-INSTR(MID($dbGroup,8),' - ')-9) AS Country, COUNT($dbGroup) as TnF, SUM(NbrPassengers) AS TNbrPassengers, SUM(CargoWeight) AS TCargoWeight, CONCAT(SUM(FlightResult LIKE 'Perfect') / COUNT($dbGroup) *100, '%') AS TFlightPerfect, CONCAT(SUM(FlightResult LIKE 'Crash') / COUNT($dbGroup) *100, '%') AS TFlightCrash, CONCAT((SUM(RIGHT(AircraftType,1) LIKE 'T' OR RIGHT(AircraftType,1) LIKE 'P')) / COUNT($dbGroup) *100, '%') AS PTurbo, CONCAT(SUM(RIGHT(AircraftType,1) LIKE 'J') / COUNT($dbGroup) *100, '%') AS PJet" ;

	$pageText = 'All Arrivals';
	if (strpos($action,"pj")>0) $pageText = 'Arrivals (propeller/jet)';
	$helpText = 'IACO name';
	$returnText = 'Arrivals';

} elseif ($action == "COMPANIES")
{
	$GroupFields = 	'CompanyName,TnP,TnAP,TnF,PTurbo,PJet,TFlightPerfect,TFlightCrash,TTotalBlockTime,TNbrPassengers,TCargoWeight,ATotalDistance,TBonusPoints,TPenalityPoints,TotalPoint';		
	$GroupColumns =	'Company,Pilots,Planes,Flights,Prop,Jet,Perfect,Crash,Time,PAX,Cargo,Dist. Km,Bonus,Penalty,TotalPoint';
	$AlignCells = 'l,x,x,x,r,r,r,r,r,x,x,x,x,x,x';
	$FormatCells = 'x,0,0,0,x,x,x,x,x,0,0,0,0,0,0';

	$dbGroup = 'CompanyName';
	$dbGroupBy = "$dbGroup";
	$dbWhere = "";
	$dbAndWhere = "";
	$SortGroup = "TotalPoint desc,TFlightPerfect desc,TNbrPassengers desc";

	$mainQuery =  "SELECT  $dbGroup, COUNT($dbGroup) as TnF, COUNT(DISTINCT PilotName) as TnP, COUNT(DISTINCT AircraftName) as TnAP, SUM(NbrPassengers) AS TNbrPassengers, SUM(CargoWeight) AS TCargoWeight, SEC_TO_TIME(SUM(TIME_TO_SEC(TotalBlockTime))) AS TTotalBlockTime, SUM(REPLACE(TotalDistance,',','')) * 1.852 AS ATotalDistance, CONCAT(SUM(FlightResult LIKE 'Perfect') / COUNT($dbGroup) *100, '%') AS TFlightPerfect, CONCAT(SUM(FlightResult LIKE 'Crash') / COUNT($dbGroup) *100, '%') AS TFlightCrash, SUM(BonusPoints) AS TBonusPoints, SUM(PenalityPoints) AS TPenalityPoints, SUM(BonusPoints - PenalityPoints) AS TotalPoint, CONCAT((SUM(RIGHT(AircraftType,1) LIKE 'T' OR RIGHT(AircraftType,1) LIKE 'P')) / COUNT($dbGroup) *100, '%') AS PTurbo, CONCAT(SUM(RIGHT(AircraftType,1) LIKE 'J') / COUNT($dbGroup) *100, '%') AS PJet";

	$pageText = 'Companies';
	$helpText = 'Company';
	$returnText = 'Companies';

} elseif ($action == "PILOTS")
{
	$GroupFields = 	'PilotName,CompanyName,TnF,TFlightPerfect,TFlightCrash,TTotalBlockTime,TNbrPassengers,TCargoWeight,TBonusPoints,TPenalityPoints,TotalPoint';
	$GroupColumns =	'Pilot,Company,Flights,Perfect,Crash,Time,PAX,Cargo,Bonus,Penalty,TotalPoint';
	$AlignCells = 'l,l,x,r,r,r,x,x,x,x,x';
	$FormatCells = 'x,x,0,x,x,x,0,0,0,0,0';

	$dbGroup = 'PilotName';	
	$dbGroupBy = "$dbGroup, CompanyName";
	$dbWhere = "";
	$dbAndWhere = "";
	$SortGroup = "CompanyName, TotalPoint desc,TFlightPerfect desc,TNbrPassengers desc";

	$mainQuery =  "SELECT  $dbGroup, COUNT($dbGroup) as TnF, CompanyName, CONCAT(SUM(FlightResult LIKE 'Perfect') / COUNT($dbGroup) *100, '%') AS TFlightPerfect, CONCAT(SUM(FlightResult LIKE 'Crash') / COUNT($dbGroup) *100, '%') AS TFlightCrash, SEC_TO_TIME(SUM(TIME_TO_SEC(TotalBlockTime))) AS TTotalBlockTime, SUM(NbrPassengers) AS TNbrPassengers, SUM(CargoWeight) AS TCargoWeight, SUM(BonusPoints) AS TBonusPoints, SUM(PenalityPoints) AS TPenalityPoints, SUM(BonusPoints - PenalityPoints) AS TotalPoint";

	$pageText = 'Pilots';
	$helpText = 'Pilot';
	$returnText = 'Pilots';

} elseif ($action == "AIRCRAFTAVG")
{
	$GroupFields = 	'AircraftName,CompanyName,TnF,TTotalBlockTime,TNbrPassengers,TCargoWeight,ATotalDistance,AMaxAltitude,ACruiseSpeed,ALandingSpeed,ATouchDown,AFuel';		
	$GroupColumns =	'Aircraft<br>(average values),Company<br>&nbsp,Flights<br>&nbsp,Airborn<br>&nbsp,PAX<br>&nbsp,Cargo<br>Kg,Dist.<br>Km,Alt<br>Feet,Cruise<br>Kts,Land.<br>Kts,To.dwn<br>Feet/min,Fuel Kg<br>100 km';
	$AlignCells = 'l,l,x,r,x,x,x,x,x,x,x,x';
	$FormatCells = 'x,x,0,x,0,0,0,0,0,0,2,2';

	$dbGroup = 'AircraftName';
	$dbGroupBy = "$dbGroup, CompanyName";
	$dbWhere = "WHERE CrashFlag LIKE '0'";
	$dbAndWhere = "AND CrashFlag LIKE '0'";
	$SortGroup = "CompanyName, Tnf desc,TNbrPassengers desc,TCargoWeight desc,AircraftName";

	$mainQuery =  "SELECT  $dbGroup, CompanyName, COUNT($dbGroup) as TnF, SEC_TO_TIME(AVG(TIME_TO_SEC(TotalBlockTime)-TIME_TO_SEC(TotalTimeOnGround))) AS TTotalBlockTime, AVG(NbrPassengers) AS TNbrPassengers, AVG(CargoWeight) AS TCargoWeight, AVG(REPLACE(TotalDistance,',','')) * 1.852 AS ATotalDistance, AVG(MaxAltitude) AS AMaxAltitude, AVG(CruiseSpeed) AS ACruiseSpeed, AVG(LandingSpeed) AS ALandingSpeed, AVG(TouchDownVertSpeedFt) AS ATouchDown, SUM(StartFuelQuantity - EndFuelQuantity) / ((SUM(REPLACE(TotalDistance,',','')) * 1.852)/100) AS AFuel";

	$pageText = 'Aircrafts (crashes not shown)';
	$helpText = 'Aircraft';
	$returnText = 'Aircrafts';

} elseif ($action == "AIRCRAFTTOT")
{
	$GroupFields = 	'AircraftName,CompanyName,TnF,TFlightPerfect,TFlightCrash,TTotalBlockTime,TNbrPassengers,TCargoWeight,ATotalDistance,AFuel';		
	$GroupColumns =	'Aircraft<br>(total values),Company<br>&nbsp,Flights<br>&nbsp,Perfect<br>&nbsp,Crash<br>&nbsp,Time<br>&nbsp,PAX<br>&nbsp,Cargo<br>Kg,Dist.<br>Km,Fuel<br>Kg';
	$AlignCells = 'l,l,x,r,r,r,x,x,x,x';
	$FormatCells = 'x,x,0,x,x,x,0,0,0,0';

	$dbGroup = 'AircraftName';
	$dbGroupBy = "$dbGroup, CompanyName";
	$dbWhere = "";
	$dbAndWhere = "";
	$SortGroup = "CompanyName, Tnf desc,TNbrPassengers desc,TCargoWeight desc,AircraftName";

	$mainQuery =  "SELECT  $dbGroup, CompanyName, COUNT($dbGroup) as TnF, SUM(NbrPassengers) AS TNbrPassengers, CONCAT(SUM(FlightResult LIKE 'Perfect') / COUNT($dbGroup) *100, '%') AS TFlightPerfect, CONCAT(SUM(FlightResult LIKE 'Crash') / COUNT($dbGroup) *100, '%') AS TFlightCrash, SEC_TO_TIME(SUM(TIME_TO_SEC(TotalBlockTime))) AS TTotalBlockTime, SUM(CargoWeight) AS TCargoWeight, SUM(REPLACE(TotalDistance,',','')) * 1.852 AS ATotalDistance, SUM(StartFuelQuantity - EndFuelQuantity) AS AFuel";

	$pageText = 'All Aircrafts';
	$helpText = 'Aircraft';
	$returnText = 'Aircrafts';

} else {
	$action="ALLFLIGHTS";
	$pageText = 'All Flights';
	$dbGroup = 'FlightId';
}
?>
